#
# spec file for package bats
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           bats
Version:        0.4.0
Release:        lp150.1.3
Summary:        Bash Automated Testing System
License:        MIT
Group:          Development/Tools
Url:            https://github.com/sstephenson/bats
Source:         https://github.com/sstephenson/bats/archive/v%{version}.tar.gz
Patch0:         package-json.patch
Patch1:         build-term.patch
BuildRequires:  ncurses-utils
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Bats is a TAP-compliant (http://testanything.org/) testing framework for Bash.
It provides a simple and repeatable way to verify that the UNIX programs you
write behave as expected.

A Bats test file is a Bash script with special syntax for defining test cases.
Under the hood, each test case is just a function with a description.

Bats is most useful when testing software written in Bash, but you can use it
to test any UNIX program.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build

%install
mkdir -p %{buildroot}%{_datadir}/%{name}
cp -r bin libexec package.json %{buildroot}%{_datadir}/%{name}

mkdir -p %{buildroot}%{_mandir}/man1
cp man/bats.1 %{buildroot}%{_mandir}/man1
mkdir -p %{buildroot}%{_mandir}/man7
cp man/bats.7 %{buildroot}%{_mandir}/man7

mkdir -p %{buildroot}%{_bindir}
ln -s %{_datadir}/%{name}/bin/bats %{buildroot}%{_bindir}/bats

%check
%{buildroot}%{_bindir}/bats test

%files
%defattr(-,root,root)
%doc README.md LICENSE
%{_bindir}/bats
%{_datadir}/%{name}
%{_mandir}/man1/bats.1.gz
%{_mandir}/man7/bats.7.gz

%changelog
* Sat Feb 25 2017 seroton10@gmail.com
- Added build-term.patch: work-around for bnc#1026350
* Tue Feb 24 2015 seroton10@gmail.com
- Fix RPM group
* Sun Feb 22 2015 seroton10@gmail.com
- Spec file improvements:
  * Run tests in %%check section
  * Correct project URL
* Wed Feb 18 2015 seroton10@gmail.com
- Spec file improvements:
  * /usr/bin/tput is optional at runtime
  * Reference to meaning of TAP-compliant
  * Simplify launch of tests
* Mon Feb 16 2015 seroton10@gmail.com
- Initial version: bats 0.4.0
